@ECHO OFF

set FILENAME_V1=ALC4030U_V04_20190805.rfw


:: BatchGotAdmin (Run as Admin code starts)
REM --> Check for permissions
>nul 2>&1 "%SYSTEMROOT%\system32\cacls.exe" "%SYSTEMROOT%\system32\config\system"
REM --> If error flag set, we do not have admin.
if '%errorlevel%' NEQ '0' (
echo Requesting administrative privileges...
goto UACPrompt
) else ( goto gotAdmin )
:UACPrompt
echo Set UAC = CreateObject^("Shell.Application"^) > "%temp%\getadmin.vbs"
echo UAC.ShellExecute "%~s0", "", "", "runas", 1 >> "%temp%\getadmin.vbs"
"%temp%\getadmin.vbs"
exit /B
:gotAdmin
if exist "%temp%\getadmin.vbs" ( del "%temp%\getadmin.vbs" )
pushd "%CD%"
CD /D "%~dp0"
:: BatchGotAdmin (Run as Admin code ends)
:: Your codes should start from the following line

ECHO.
ECHO ======================================================
ECHO ### Update ALC4030 process ###
ECHO ======================================================

goto r0

:r0
echo Check PID_4030:
FWupdate.exe /PID_4030 /VID_0BDA -USB -f:%FILENAME_V1%
if  %errorlevel% NEQ '1' (
goto r2
) else ( goto r1 )

:r2
echo Check PID_493B:
FWupdate.exe /PID_493B /VID_0BDA -USB -f:%FILENAME_V1%
goto OK

:r1
ECHO FWUpdate_4030.log :
type FWUpdate_4030.log

:OK
ECHO FWUpdate_493B.log :
type FWUpdate_493B.log

:DONE
echo.
echo ======================================================
echo ### Update ALC4030 process End ###
echo ======================================================
REM pause